﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using Module.Configuration.Infrastructure.Data;

namespace Module.Configuration.Infrastructure.Data.Migrations
{
    [DbContext(typeof(ConfigurationDbContext))]
    [Migration("20201027092647_ConfigurationDbContext_AddCountryLevel")]
    partial class ConfigurationDbContext_AddCountryLevel
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "3.1.3")
                .HasAnnotation("Relational:MaxIdentifierLength", 64);

            modelBuilder.Entity("Module.Configuration.Domain.Locations.Country", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    b.Property<string>("Code")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<DateTime>("CreatedAt")
                        .HasColumnType("datetime(6)");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<string>("FullName")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<bool>("IsDeleted")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("tinyint(1)")
                        .HasDefaultValue(false);

                    b.Property<string>("Name")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<DateTime>("UpdatedAt")
                        .HasColumnType("datetime(6)");

                    b.Property<string>("UpdatedBy")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.HasKey("Id");

                    b.ToTable("configuration_countries");
                });

            modelBuilder.Entity("Module.Configuration.Domain.Locations.District", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    b.Property<string>("Code")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<DateTime>("CreatedAt")
                        .HasColumnType("datetime(6)");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<string>("FullName")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<bool>("IsDeleted")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("tinyint(1)")
                        .HasDefaultValue(false);

                    b.Property<string>("Name")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<string>("ProvinceCode")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<DateTime>("UpdatedAt")
                        .HasColumnType("datetime(6)");

                    b.Property<string>("UpdatedBy")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.HasKey("Id");

                    b.ToTable("configuration_districts");
                });

            modelBuilder.Entity("Module.Configuration.Domain.Locations.Province", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    b.Property<string>("Code")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<string>("CountryCode")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<DateTime>("CreatedAt")
                        .HasColumnType("datetime(6)");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<string>("FullName")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<bool>("IsDeleted")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("tinyint(1)")
                        .HasDefaultValue(false);

                    b.Property<string>("Name")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<DateTime>("UpdatedAt")
                        .HasColumnType("datetime(6)");

                    b.Property<string>("UpdatedBy")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.HasKey("Id");

                    b.ToTable("configuration_provinces");
                });

            modelBuilder.Entity("Module.Configuration.Domain.Locations.Ward", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    b.Property<string>("Code")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<DateTime>("CreatedAt")
                        .HasColumnType("datetime(6)");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<string>("DistrictCode")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<string>("FullName")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<bool>("IsDeleted")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("tinyint(1)")
                        .HasDefaultValue(false);

                    b.Property<string>("Name")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<DateTime>("UpdatedAt")
                        .HasColumnType("datetime(6)");

                    b.Property<string>("UpdatedBy")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.HasKey("Id");

                    b.ToTable("configuration_wards");
                });

            modelBuilder.Entity("Module.Configuration.Domain.Models.FooterMenu", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    b.Property<int>("ContentId")
                        .HasColumnType("int");

                    b.Property<DateTime?>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<bool>("IsActive")
                        .HasColumnType("tinyint(1)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("tinyint(1)");

                    b.Property<int?>("ParentId")
                        .HasColumnType("int");

                    b.Property<int>("Priority")
                        .HasColumnType("int");

                    b.Property<int>("Type")
                        .HasColumnType("int");

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime(6)");

                    b.HasKey("Id");

                    b.ToTable("configuration_footer_menu");
                });

            modelBuilder.Entity("Module.Configuration.Domain.Models.FooterMenuLocalization", b =>
                {
                    b.Property<int>("FooterMenuId")
                        .HasColumnType("int");

                    b.Property<string>("Lang")
                        .HasColumnType("varchar(255) CHARACTER SET utf8mb4");

                    b.Property<DateTime?>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<bool>("IsActive")
                        .HasColumnType("tinyint(1)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("tinyint(1)");

                    b.Property<string>("Name")
                        .HasColumnType("varchar(500) CHARACTER SET utf8mb4")
                        .HasMaxLength(500);

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<string>("Url")
                        .HasColumnType("varchar(500) CHARACTER SET utf8mb4")
                        .HasMaxLength(500);

                    b.HasKey("FooterMenuId", "Lang");

                    b.ToTable("configuration_footer_menu_localization");
                });

            modelBuilder.Entity("Module.Configuration.Domain.Models.HeaderMenu", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    b.Property<int>("ContentId")
                        .HasColumnType("int");

                    b.Property<DateTime?>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<bool>("IsActive")
                        .HasColumnType("tinyint(1)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("tinyint(1)");

                    b.Property<int?>("ParentId")
                        .HasColumnType("int");

                    b.Property<int>("Priority")
                        .HasColumnType("int");

                    b.Property<int>("Type")
                        .HasColumnType("int");

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime(6)");

                    b.HasKey("Id");

                    b.ToTable("configuration_header_menu");
                });

            modelBuilder.Entity("Module.Configuration.Domain.Models.HeaderMenuLocalization", b =>
                {
                    b.Property<int>("HeaderMenuId")
                        .HasColumnType("int");

                    b.Property<string>("Lang")
                        .HasColumnType("varchar(255) CHARACTER SET utf8mb4");

                    b.Property<DateTime?>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<bool>("IsActive")
                        .HasColumnType("tinyint(1)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("tinyint(1)");

                    b.Property<string>("Name")
                        .HasColumnType("varchar(500) CHARACTER SET utf8mb4")
                        .HasMaxLength(500);

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<string>("Url")
                        .HasColumnType("varchar(500) CHARACTER SET utf8mb4")
                        .HasMaxLength(500);

                    b.HasKey("HeaderMenuId", "Lang");

                    b.ToTable("configuration_header_menu_localization");
                });

            modelBuilder.Entity("Module.Configuration.Domain.Models.Language", b =>
                {
                    b.Property<string>("Id")
                        .HasColumnType("varchar(50) CHARACTER SET utf8mb4")
                        .HasMaxLength(50);

                    b.Property<string>("Code")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<DateTime?>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<string>("Icon")
                        .HasColumnType("varchar(500) CHARACTER SET utf8mb4")
                        .HasMaxLength(500);

                    b.Property<bool>("IsActive")
                        .HasColumnType("tinyint(1)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("tinyint(1)");

                    b.Property<string>("NativeName")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<int>("Priority")
                        .HasColumnType("int");

                    b.Property<int>("Scope")
                        .HasColumnType("int");

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime(6)");

                    b.HasKey("Id");

                    b.ToTable("configuration_languages");

                    b.HasData(
                        new
                        {
                            Id = "vi-VN",
                            Code = "vi",
                            CreatedDate = new DateTime(2020, 10, 27, 9, 26, 47, 67, DateTimeKind.Utc).AddTicks(2720),
                            Icon = "/media/flat/vn.svg",
                            IsActive = true,
                            IsDeleted = false,
                            NativeName = "Tiếng Việt",
                            Priority = 1,
                            Scope = 0,
                            UpdatedDate = new DateTime(2020, 10, 27, 9, 26, 47, 67, DateTimeKind.Utc).AddTicks(3375)
                        },
                        new
                        {
                            Id = "en-US",
                            Code = "en",
                            CreatedDate = new DateTime(2020, 10, 27, 9, 26, 47, 67, DateTimeKind.Utc).AddTicks(6366),
                            Icon = "/media/flat/020-flag.svg",
                            IsActive = true,
                            IsDeleted = false,
                            NativeName = "English (United States)",
                            Priority = 2,
                            Scope = 0,
                            UpdatedDate = new DateTime(2020, 10, 27, 9, 26, 47, 67, DateTimeKind.Utc).AddTicks(6379)
                        });
                });

            modelBuilder.Entity("Module.Configuration.Domain.Models.LanguageLocalization", b =>
                {
                    b.Property<string>("LanguageId")
                        .HasColumnType("varchar(50) CHARACTER SET utf8mb4")
                        .HasMaxLength(50);

                    b.Property<string>("Lang")
                        .HasColumnType("varchar(50) CHARACTER SET utf8mb4")
                        .HasMaxLength(50);

                    b.Property<DateTime?>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<string>("Description")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<bool>("IsActive")
                        .HasColumnType("tinyint(1)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("tinyint(1)");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnType("varchar(500) CHARACTER SET utf8mb4")
                        .HasMaxLength(500);

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime(6)");

                    b.HasKey("LanguageId", "Lang");

                    b.ToTable("configuration_language_localizations");

                    b.HasData(
                        new
                        {
                            LanguageId = "vi-VN",
                            Lang = "vi-VN",
                            CreatedDate = new DateTime(2020, 10, 27, 9, 26, 47, 69, DateTimeKind.Utc).AddTicks(899),
                            IsActive = true,
                            IsDeleted = false,
                            Name = "Tiếng Việt",
                            UpdatedDate = new DateTime(2020, 10, 27, 9, 26, 47, 69, DateTimeKind.Utc).AddTicks(925)
                        },
                        new
                        {
                            LanguageId = "vi-VN",
                            Lang = "en-US",
                            CreatedDate = new DateTime(2020, 10, 27, 9, 26, 47, 69, DateTimeKind.Utc).AddTicks(1969),
                            IsActive = true,
                            IsDeleted = false,
                            Name = "Vietnamese",
                            UpdatedDate = new DateTime(2020, 10, 27, 9, 26, 47, 69, DateTimeKind.Utc).AddTicks(1972)
                        },
                        new
                        {
                            LanguageId = "en-US",
                            Lang = "vi-VN",
                            CreatedDate = new DateTime(2020, 10, 27, 9, 26, 47, 69, DateTimeKind.Utc).AddTicks(2006),
                            IsActive = true,
                            IsDeleted = false,
                            Name = "Tiếng Anh",
                            UpdatedDate = new DateTime(2020, 10, 27, 9, 26, 47, 69, DateTimeKind.Utc).AddTicks(2007)
                        },
                        new
                        {
                            LanguageId = "en-US",
                            Lang = "en-US",
                            CreatedDate = new DateTime(2020, 10, 27, 9, 26, 47, 69, DateTimeKind.Utc).AddTicks(2009),
                            IsActive = true,
                            IsDeleted = false,
                            Name = "English",
                            UpdatedDate = new DateTime(2020, 10, 27, 9, 26, 47, 69, DateTimeKind.Utc).AddTicks(2010)
                        });
                });

            modelBuilder.Entity("Module.Configuration.Domain.Models.Setting", b =>
                {
                    b.Property<string>("Id")
                        .HasColumnType("varchar(200) CHARACTER SET utf8mb4")
                        .HasMaxLength(200);

                    b.Property<DateTime?>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<string>("DataType")
                        .HasColumnType("varchar(200) CHARACTER SET utf8mb4")
                        .HasMaxLength(200);

                    b.Property<string>("Group")
                        .HasColumnType("varchar(200) CHARACTER SET utf8mb4")
                        .HasMaxLength(200);

                    b.Property<bool>("IsActive")
                        .HasColumnType("tinyint(1)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("tinyint(1)");

                    b.Property<bool>("IsPublic")
                        .HasColumnType("tinyint(1)");

                    b.Property<string>("Name")
                        .HasColumnType("varchar(200) CHARACTER SET utf8mb4")
                        .HasMaxLength(200);

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<string>("Value")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.HasKey("Id");

                    b.ToTable("configuration_settings");

                    b.HasData(
                        new
                        {
                            Id = "third-party-google-recaptcha-key",
                            CreatedDate = new DateTime(2020, 10, 27, 9, 26, 47, 69, DateTimeKind.Utc).AddTicks(3087),
                            DataType = "string",
                            Group = "ThirdParty",
                            IsActive = true,
                            IsDeleted = false,
                            IsPublic = false,
                            Name = "Google's Recaptcha Key",
                            UpdatedDate = new DateTime(2020, 10, 27, 9, 26, 47, 69, DateTimeKind.Utc).AddTicks(3092),
                            Value = "6LeIxAcTAAAAAJcZVRqyHh71UMIEGNQ_MXjiZKhI"
                        },
                        new
                        {
                            Id = "third-party-google-recaptcha-secret",
                            CreatedDate = new DateTime(2020, 10, 27, 9, 26, 47, 69, DateTimeKind.Utc).AddTicks(4403),
                            DataType = "string",
                            Group = "ThirdParty",
                            IsActive = true,
                            IsDeleted = false,
                            IsPublic = false,
                            Name = "Google's Recaptcha Secret",
                            UpdatedDate = new DateTime(2020, 10, 27, 9, 26, 47, 69, DateTimeKind.Utc).AddTicks(4407),
                            Value = "6LeIxAcTAAAAAGG-vFI1TnRWxMZNFuojJ4WifJWe"
                        });
                });

            modelBuilder.Entity("Module.Configuration.Domain.Models.TagHtml", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    b.Property<string>("Content")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<DateTime?>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<string>("Description")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<bool>("IsActive")
                        .HasColumnType("tinyint(1)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("tinyint(1)");

                    b.Property<string>("Name")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<int>("Position")
                        .HasColumnType("int");

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime(6)");

                    b.HasKey("Id");

                    b.ToTable("configuration_tag_htmls");
                });

            modelBuilder.Entity("Module.Configuration.Domain.Models.VirtualFile", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    b.Property<DateTime?>("CreatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<int>("Group")
                        .HasColumnType("int");

                    b.Property<bool>("IsActive")
                        .HasColumnType("tinyint(1)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("tinyint(1)");

                    b.Property<string>("OriginalPath")
                        .IsRequired()
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<string>("Tag")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime(6)");

                    b.Property<string>("VirtualPath")
                        .IsRequired()
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.HasKey("Id");

                    b.ToTable("configuration_virtual_files");
                });

            modelBuilder.Entity("Module.Configuration.Domain.Models.FooterMenuLocalization", b =>
                {
                    b.HasOne("Module.Configuration.Domain.Models.FooterMenu", "FooterMenu")
                        .WithMany("Localizations")
                        .HasForeignKey("FooterMenuId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Module.Configuration.Domain.Models.HeaderMenuLocalization", b =>
                {
                    b.HasOne("Module.Configuration.Domain.Models.HeaderMenu", "HeaderMenu")
                        .WithMany("Localizations")
                        .HasForeignKey("HeaderMenuId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Module.Configuration.Domain.Models.LanguageLocalization", b =>
                {
                    b.HasOne("Module.Configuration.Domain.Models.Language", "Language")
                        .WithMany("Localizations")
                        .HasForeignKey("LanguageId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });
#pragma warning restore 612, 618
        }
    }
}
